#include <iostream>
#include <algorithm>

using namespace std;

int main() {
	int a[10000],n,x;
	int max1=0; //max desno
	int max2=0; //max levo
	
	cin>>n>>x;
	
	for(int i=0;i<n;i++){
		cin>>a[i];
		if(a[i]>x && abs(a[i]-x)>max1)
				max1=abs(a[i]-x);
			else if(a[i]<x && abs(a[i]-x)>max2)
				max2=abs(a[i]-x);
	}
	

	int m=max1;//manji max
	int s=max2;//veci max
	if(max2<max1){ 
	m=max2;
	s=max1;
}
	cout<<2*m+s;	

	return 0;
}